From 8c2e1a884f900d91760d3f0b2fc3f1c071cb60e7 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 22 2024 12:34:28 +0000
Subject: F40: Update for final


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index ffbbb8e..bf91b17 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -217,9 +217,9 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
       },
       {
@@ -228,9 +228,9 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
         "manifest_type": "dvd-ostree",
       },
@@ -240,9 +240,9 @@ osbuild = {
         "image_types": ["iot-bootable-container"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
         "failable": ["*"],
       },
@@ -252,9 +252,9 @@ osbuild = {
         "image_types": ["iot-simplified-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/devel/$arch/iot",
+        "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
         "customizations": {"installation_device": "/dev/vda"},
         "failable": ["*"],
@@ -272,11 +272,11 @@ ostree = {
             "config_branch": "f40",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/devel/${basearch}/iot",
+            "ostree_ref": "fedora/stable/${basearch}/iot",
             "runroot_packages": ["selinux-policy-targeted"],
             "arches": ["x86_64", "aarch64"],
             "update_summary": True,
@@ -289,7 +289,7 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/fedora-bootc",
         "config_branch": "main",
         "treefile": "fedora-bootc.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-40/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/40/Fedora-40-20240414.0/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64"],
         "failable": ['*'],
     },

